ViennaCL - The Vienna Computing Library: viennacl::matrix_expression< LHS, RHS, OP > Class Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
viennacl::matrix_expression< LHS, RHS, OP > Class Template Reference

Expression template class for representing a tree of expressions which ultimately result in a matrix. More...

`#include <forwards.h>`

## Public Types
typedef vcl_size_t | size_type

## Public Member Functions
| matrix_expression (LHS &lhs, RHS &rhs)
LHS & | lhs () const
| Get left hand side operand. More...
RHS & | rhs () const
| Get right hand side operand. More...
vcl_size_t | size1 () const
| Returns the size of the result vector. More...
vcl_size_t | size2 () const

## Detailed Description

### template<typename LHS, typename RHS, typename OP>
class viennacl::matrix_expression< LHS, RHS, OP >

Expression template class for representing a tree of expressions which ultimately result in a matrix.

Template Parameters

  LHS | The left hand side of the expression tree
  RHS | The right hand side of the expression tree
  OP | The operator to apply to LHS and RHS to obtain the result.

Definition at line 341 of file forwards.h.

## Member Typedef Documentation

template<typename LHS, typename RHS, typename OP>

typedef vcl_size_t viennacl::matrix_expression< LHS, RHS, OP >::size_type

Definition at line 60 of file matrix.hpp.

## Constructor & Destructor Documentation

template<typename LHS, typename RHS, typename OP>

viennacl::matrix_expression< LHS, RHS, OP >::matrix_expression | ( | LHS & | lhs,
|  | RHS & | rhs
| ) |  |
| inline

Definition at line 62 of file matrix.hpp.

## Member Function Documentation

template<typename LHS, typename RHS, typename OP>

LHS& viennacl::matrix_expression< LHS, RHS, OP >::lhs | ( |  | ) | const
| inline

Get left hand side operand.

Definition at line 66 of file matrix.hpp.

template<typename LHS, typename RHS, typename OP>

RHS& viennacl::matrix_expression< LHS, RHS, OP >::rhs | ( |  | ) | const
| inline

Get right hand side operand.

Definition at line 69 of file matrix.hpp.

template<typename LHS, typename RHS, typename OP>

vcl_size_t viennacl::matrix_expression< LHS, RHS, OP >::size1 | ( |  | ) | const
| inline

Returns the size of the result vector.

Definition at line 72 of file matrix.hpp.

template<typename LHS, typename RHS, typename OP>

vcl_size_t viennacl::matrix_expression< LHS, RHS, OP >::size2 | ( |  | ) | const
| inline

Definition at line 73 of file matrix.hpp.

The documentation for this class was generated from the following files:

- viennacl/forwards.h
- viennacl/matrix.hpp